#!/usr/local/bin/Rscript

# Jean-Marie Lepioufle
# NILU - nilu.no
# 2020-08-14
# install friendlyr

'install_friendlyr

Usage:
  install_friendlyr.R -branch <branch> -rpath <rpath>
  install_friendlyr.R (-h | --help)
  install_friendlyr.R --version

Options:
  -h --help         Show this screen.
  --version         Show version.

Outcomes:
  friendlyr:  package friendlyr installed with the chosen version.

' -> doc


#library(docopt)
arguments <- docopt::docopt(doc, version = 'install_friendlyr version 0.0.1')

cat("Initialising parameters... \n")

# init parameters
branch <- tryCatch({
  res <- as.character(arguments$branch)
  res
}, error = function(err) {
  print(paste("Error in argument 'branch':  ",err))
  print("It will crash.")
})

# get path
rpath <- tryCatch({
  res <- normalizePath(file.path(as.character(arguments$rpath)),mustWork = FALSE)
  res
}, error = function(err) {
  print(paste("Error in argument 'rpath':  ",err))
  print("It will crash.")
})

cat("Installation... \n")
wd <- dirname(dirname(getwd()))
# install friendlyr
install.packages(file.path(rpath,paste0('friendlyr_',branch,'.tar.gz')), repos=NULL, type='source')
